[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Remove uses of %{PACKAGE_VERSION} and %{PACKAGE_RELEASE} from specs




Grepping through spec files from CVS devel/ shows there are a handful of package still using %{PACKAGE_VERSION} and %{PACKAGE_RELEASE} macros. These were considered "backwards compatibility stuff" in 1998 (yes, eleven years ago) already, please change them to use the %{version} and %{release} macros instead.

The packages using these ancient macros are:
- kernel
- kernel-xen-2.6 (dead package?)
- glibc32, glibc64 (dead packages?)
- fmt-ptrn
- libunwind

Rpm >= 4.8.x removes the support for the ancient %{PACKAGE_*} macros so packages still using them will fail to build with it.

	- Panu -


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]